com.sun.research.ws.wadl

## Class Representation

- java.lang.Object
- - com.sun.research.ws.wadl.Representation

    public class Representation
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
             <element ref="{http://wadl.dev.java.net/2009/02}param" maxOccurs="unbounded" minOccurs="0"/>
             <any processContents='lax' namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="element" type="{http://www.w3.org/2001/XMLSchema}QName" />
           <attribute name="mediaType" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="href" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="profile" type="{http://wadl.dev.java.net/2009/02}uriList" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected List<Object>` `any`
`protected List<Doc>` `doc`
`protected QName` `element`
`protected String` `href`
`protected String` `id`
`protected String` `mediaType`
`protected List<Param>` `param`
`protected List<String>` `profile`

### Constructor Summary

Constructors
Constructor and Description
`Representation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Object>` `getAny()` Gets the value of the any property.
`List<Doc>` `getDoc()` Gets the value of the doc property.
`QName` `getElement()` Gets the value of the element property.
`String` `getHref()` Gets the value of the href property.
`String` `getId()` Gets the value of the id property.
`String` `getMediaType()` Gets the value of the mediaType property.
`Map<QName,String>` `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`List<Param>` `getParam()` Gets the value of the param property.
`List<String>` `getProfile()` Gets the value of the profile property.
`void` `setElement(QName value)` Sets the value of the element property.
`void` `setHref(String value)` Sets the value of the href property.
`void` `setId(String value)` Sets the value of the id property.
`void` `setMediaType(String value)` Sets the value of the mediaType property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### doc

    protected List<Doc> doc

#### param

    protected List<Param> param

#### any

    protected List<Object> any

#### id

    protected String id

#### element

    protected QName element

#### mediaType

    protected String mediaType

#### href

    protected String href

#### profile

    protected List<String> profile

### Constructor Detail

#### Representation

    public Representation()

### Method Detail

#### getDoc

    public List<Doc> getDoc()

Gets the value of the doc property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

For example, to add a new item, do as follows:

        getDoc().add(newItem);

Objects of the following type(s) are allowed in the list `Doc`

#### getParam

    public List<Param> getParam()

Gets the value of the param property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the param property.

For example, to add a new item, do as follows:

        getParam().add(newItem);

Objects of the following type(s) are allowed in the list `Param`

#### getAny

    public List<Object> getAny()

Gets the value of the any property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

For example, to add a new item, do as follows:

        getAny().add(newItem);

Objects of the following type(s) are allowed in the list `Object` `Element`

#### getId

    public String getId()

Gets the value of the id property.

Returns:
  possible object is `String`

#### setId

    public void setId(String value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

#### getElement

    public QName getElement()

Gets the value of the element property.

Returns:
  possible object is `QName`

#### setElement

    public void setElement(QName value)

Sets the value of the element property.

Parameters:
  `value` - allowed object is `QName`

#### getMediaType

    public String getMediaType()

Gets the value of the mediaType property.

Returns:
  possible object is `String`

#### setMediaType

    public void setMediaType(String value)

Sets the value of the mediaType property.

Parameters:
  `value` - allowed object is `String`

#### getHref

    public String getHref()

Gets the value of the href property.

Returns:
  possible object is `String`

#### setHref

    public void setHref(String value)

Sets the value of the href property.

Parameters:
  `value` - allowed object is `String`

#### getProfile

    public List<String> getProfile()

Gets the value of the profile property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the profile property.

For example, to add a new item, do as follows:

        getProfile().add(newItem);

Objects of the following type(s) are allowed in the list `String`

#### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

Gets a map that contains attributes that aren't bound to any typed property on this class.

the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

Returns:
  always non-null